class ChangeColumnsInSellersCommissions < ActiveRecord::Migration
  def change
  	if table_exists? :sellerscommissions
	  	remove_column :sellerscommissions, :num_products
	  	add_column :sellerscommissions, :total_sold_cash, :decimal, precision: 10, scale: 2, default: 0.0
	  	add_column :sellerscommissions, :total_sold_credits_apartments, :decimal, precision: 10, scale: 2, default: 0.0
			add_column :sellerscommissions, :income_by_cash, :decimal, precision: 10, scale: 2, default: 0.0
			add_column :sellerscommissions, :income_by_reserved_and_credits, :decimal, precision: 10, scale: 2, default: 0.0
  	end
  end
end
